//FormatAnpassen_201d.js
// 11.06.08 / Hans Haesler, Chtelard 52, CH-1018 Lausanne
//ndert das gewhlte Absatz- oder Zeichenformat entsprechend der Auswahl

if (app.documents.length == 0) {
	alert ("Es ist kein Dokument offen.", "Achtung");
	exit();
}

// die Auswahl prfen
try {
	var curType = app.selection[0].constructor.name;
	if (curType != "InsertionPoint" && curType != "Character" && curType != "Text" && curType != "Word" 
		&& curType != "Line" && curType != "Paragraph" && curType != "TextColumn" && curType != "TextStyleRange") {
		alert ("Bitte den Mustertext auswhlen.", "Achtung");
		exit ();
	}
}
catch (e) {
	alert ("Es ist nichts ausgewhlt.", "Achtung");
	exit();
}

//--- die Absatzformate auflisten ---//
var allParaStyles = app.documents[0].paragraphStyles.everyItem().name;
// den Inhalt des ersten Elements lschen
allParaStyles[0] = "";

//--- die Zeichenformate auflisten ---//
var allCharStyles = app.documents[0].characterStyles.everyItem().name;
// den Inhalt des ersten Elements lschen
allCharStyles[0] = "";

// Dialoge, welche eventuell im Speicher geblieben sind, lschen
try {
	app.dialogs.everyItem().destroy();
}
catch (e) {
}

// eine Dialog vorbereiten
var aDialog = app.dialogs.add({name:"Das zu ndernde Format whlen", canCancel:true});
with (aDialog) {
	with (dialogColumns.add()) {
		with (dialogRows.add()) {
			staticTexts.add({staticLabel:"Absatzformat:"});
			staticTexts.add({staticLabel:" "});
		}
		with (borderPanels.add()) {
			with (dialogColumns.add()) {
				var paraName = dropdowns.add({stringList:allParaStyles, selectedIndex:0, minWidth:180});
			}
		}
		with (dialogRows.add()) {
			staticTexts.add({staticLabel:"Zeichenformat:"});
			staticTexts.add({staticLabel:" "});
		}
		with (borderPanels.add()) {
			with (dialogColumns.add()) {
				var charName = dropdowns.add({stringList:allCharStyles, selectedIndex:0, minWidth:180});
			}
		}
	}
	with (dialogColumns.add()) {
		staticTexts.add({staticLabel:"", minWidth:4});
	}
}
// den Dialog zeigen
if (aDialog.show() == true) {
	// die Wahl des Anwenders bernehmen
	paraID = paraName.selectedIndex;
	charID = charName.selectedIndex;
	// den Dialog lschen
	aDialog.destroy();
}
else {
	aDialog.destroy();
	exit();
}

// die Wahl des Anwenders testen
if (paraID != 0 && charID != 0) {
	alert ("Nicht zwei Artikel auswhlen.", "Stop");
	exit();
}

// die Attribute der Auswahl speichern
var newProps = app.selection[0].properties;

// das entsprechende Format ndern
if (paraID != 0) {
	var curPara = allParaStyles[paraID];
	app.documents[0].paragraphStyles.item(curPara).properties = newProps;
}
else if (charID != 0) {
	var curChar = allCharStyles[charID];
	app.documents[0].characterStyles.item(curChar).properties = newProps;
}
